Bug 1296818 - Move away from gf_log completely to gf_msg
Move away from gf_log completely to gf_msg
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
Depends On:
Blocks: 1315142
  Show dependency treegraph
Reported: 2016-01-08 03:18 EST by Pranith Kumar K
Modified: 2016-06-16 09:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1315142 (view as bug list)
Last Closed: 2016-06-16 09:53:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2016-01-08 03:18:27 EST
Description of problem:
There are still some calls to gf_log in afr code base. This bug is going to be used to clean those up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Vijay Bellur 2016-01-08 03:19:12 EST
REVIEW: http://review.gluster.org/13195 (cluster/afr: Move remaining gf_logs to gf_msgs) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Vijay Bellur 2016-01-27 04:34:20 EST
REVIEW: http://review.gluster.org/13195 (cluster/afr: Move remaining gf_logs to gf_msgs) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 3 Vijay Bellur 2016-01-27 22:21:24 EST
COMMIT: http://review.gluster.org/13195 committed in master by Vijay Bellur (vbellur@redhat.com) 
commit eca923349b4cb397b19520e4e391e42b8d6532c2
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Fri Jan 8 13:06:27 2016 +0530

    cluster/afr: Move remaining gf_logs to gf_msgs
    Change-Id: I48d9e5313bd3ccf9fe26c90a7051a8a174d75c49
    BUG: 1296818
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/13195
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 4 Mike McCune 2016-03-28 19:18:47 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Niels de Vos 2016-06-16 09:53:44 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.